#!/bin/bash

# cd to directory of this script
cd "`echo $0 | perl -pe 's|/[^/]+$||'`"

# insert tag text
insert () {
   perl -p -e "s|<-$1->|$2|"
}

# display page
display () {
   if [ `uname` = "Darwin" ]
   then
      cp $1.php ${1}0.html
      open ${1}0.html
   fi
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

# prepare calendar table
calendar=$(./calendar.py calendar.txt)

# calendar.php
cat calendar.md |\
   insert calendar "${calendar}" |\
   output "$(cat title) (Calendar)" > ../calendar.php

# index.php
cat index.md |\
   insert calendar "${calendar}" |\
   output "$(cat title)" > ../index.php

# cheating.php
cat cheating.md |\
   output "$(cat title) (Links)" > ../cheating.php

# exam1.php
cat exam1.md |\
   output "$(cat title)" > ../exam1.php

# exam2.php
cat exam2.md |\
   output "$(cat title)" > ../exam2.php

# exam3.php
cat exam3.md |\
   output "$(cat title)" > ../exam3.php

# final.php
cat final.md |\
   output "$(cat title)" > ../final.php

# source.php
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.php

# links.php
cat links.md |\
   output "$(cat title) (Links)" > ../links.php

# create tarball
cd ..
tar -czf source.tar.gz source

# testing
display index
